import sys
import datetime


class Logger(object):
    @staticmethod
    def log(data):
        with open(Logger.filename, 'a') as f:
            f.write(datetime.datetime.now().isoformat() + ' ' + data + "\n")
    
    @staticmethod
    def debug(data):
        if Logger.debugFlag:
            with open(Logger.filename, 'a') as f:
                f.write(datetime.datetime.now().isoformat() + ' ' + data + "\n")

    @staticmethod
    def openlog(filename):
        Logger.filename = filename

    @staticmethod
    def debugEnable():
        Logger.debugFlag = True

    @staticmethod
    def debugDisable():
        Logger.debugFlag = False

    debugFlag = False
    filename = '/tmp/yadyn.log'
