#!/bin/bash

echo "Generating tsig key ..."
/usr/sbin/tsig-keygen local. > /etc/bind/local.key
KEY=`cat /etc/bind/local.key | awk -F\" '/secret/ {print $2}'`
sed -i "s,KEYVALUE,$KEY," /opt/app/yadyn

echo "Generating rndc key ..."
/usr/sbin/rndc-confgen -a
KEY=`cat /etc/bind/rndc.key | awk -F\" '/secret/ {print $2}'`
sed -i "s,RNDCKEY,$KEY," /etc/bind/named.conf.rndc

echo "Starting named ..."
/usr/sbin/named

echo "Starting yadyn ..."
cd /opt/app
./yadyn



